Skip to main content
POST
JavaScript

Authorizations

x-bb-api-key
string
header
required

Browserbase API key for authentication

x-bb-project-id
string
header
required

Deprecated. Browserbase API keys are now project-scoped, so this header is no longer required.

Headers

x-stream-response
enum<string>

Whether to stream the response via SSE

Available options:
true,
false
Example:

"true"

Path Parameters

id
string
required

Unique session identifier

Example:

"c4dbf3a9-9a58-4b22-8a1c-9f20f9f9e123"

Body

application/json
agentConfig
object
required
executeOptions
object
required
frameId
string | null

Target frame ID for the agent

streamResponse
boolean

Whether to stream the response via SSE

Example:

true

shouldCache
boolean

If true, the server captures a cache entry and returns it to the client

Response

200 - application/json

Default Response

success
boolean
required

Indicates whether the request was successful

data
object
required